Loading...
Searching...
No Matches
serial::GsmModem::Settings Struct Reference

Structure for holding settings of the GSM modem and its SIM card. More...

## Public Attributes

string | pin
| PIN of the SIM card.
string | smsc
| Custom SMS center number (in ITU-T E.164 format), leave empty to use number stored on SIM card.

## Detailed Description

Structure for holding settings of the GSM modem and its SIM card.

Definition at line 46 of file GsmModem.idl.

## Member Data Documentation

## pin

string serial::GsmModem::Settings::pin

PIN of the SIM card.

Definition at line 47 of file GsmModem.idl.

## smsc

string serial::GsmModem::Settings::smsc

Custom SMS center number (in ITU-T E.164 format), leave empty to use number stored on SIM card.

Definition at line 48 of file GsmModem.idl.

The documentation for this struct was generated from the following file:

- GsmModem.idl